Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class NamingStrategy

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.NamingStrategy

public class NamingStrategy
extends java.lang.Object

Field Summary
`static NamingStrategy` `INSTANCE`

Constructor Summary
`NamingStrategy()`

Method Summary
`java.lang.String` `getChildFigureGetterName(Figure childFigure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static NamingStrategy INSTANCE

Constructor Detail

### NamingStrategy

    public NamingStrategy()

Method Detail

### getChildFigureGetterName

    public java.lang.String getChildFigureGetterName(Figure childFigure)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.